## Generated SDC file "LTC2320_cmos.out.sdc"

## Copyright (C) 1991-2012 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 12.1 Build 177 11/07/2012 SJ Web Edition"

## DATE    "Tue Feb 10 15:53:23 2015"

##
## DEVICE  "EP3C5E144C7"
##

#**************************************************************
# Time Information
#**************************************************************
set_time_format -unit ns -decimal_places 3

#**************************************************************
# Create Clock
#**************************************************************
#derive_clocks -period 18.182

create_clock -name {clkin} -period 9.091 [get_ports {CLKIN}]

#DDR frequencies
create_clock -period 18.182 -name sck SCK
create_clock -period 9.091 -name cnvclk CNVCLK~reg0
create_clock -period 500 -waveform {190.89 199.98} -name data_latch pulse_generator:pulses|data_latch
create_clock -period 500 -waveform {27.27 172.71} -name sck_gate pulse_generator:pulses|sck_gate

#**************************************************************
# Create Generated Clock
#**************************************************************
#derive_pll_clocks
create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -divide_by 2 -duty_cycle 50.00 -name clk_55 {synchronize|altpll_component|auto_generated|pll1|clk[0]}

create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -divide_by 2 -phase 180.00 -duty_cycle 50.00 -name rx_clk_55 {synchronize|altpll_component|auto_generated|pll1|clk[1]}

create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -duty_cycle 50.00 -name clk_110 {synchronize|altpll_component|auto_generated|pll1|clk[2]}

create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -phase 45.00 -duty_cycle 50.00 -name rx_clk_110 {synchronize|altpll_component|auto_generated|pll1|clk[3]}

create_generated_clock -source {synchronize|altpll_component|auto_generated|pll1|inclk[0]} -divide_by 50 -offset 0.9 -duty_cycle 4.00 -name sync {synchronize|altpll_component|auto_generated|pll1|clk[4]}

#**************************************************************
# Set Clock Latency
#**************************************************************

#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty 

#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -clock [get_clocks {sck}] -min -clock_fall 0 [get_ports {SDO_A}]
set_input_delay -clock [get_clocks {sck}] -max -clock_fall 4.5 [get_ports {SDO_A}]
set_input_delay -clock [get_clocks {sck}] -min -clock_fall 0 [get_ports {SDO_B}]
set_input_delay -clock [get_clocks {sck}] -max -clock_fall 4.5 [get_ports {SDO_B}]
set_input_delay -clock [get_clocks {sck}] -min -clock_fall 0 [get_ports {SDO_C}]
set_input_delay -clock [get_clocks {sck}] -max -clock_fall 4.5 [get_ports {SDO_C}]
set_input_delay -clock [get_clocks {sck}] -min -clock_fall 0 [get_ports {SDO_D}]
set_input_delay -clock [get_clocks {sck}] -max -clock_fall 4.5 [get_ports {SDO_D}]

#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D0}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D1}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D2}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D3}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D4}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D5}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D6}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D7}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D8}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D9}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D10}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D11}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D12}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D13}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D14}]
set_output_delay -clock [get_clocks {cnvclk}]  -clock_fall 0.5 [get_ports {D15}]

#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -exclusive -group [get_clocks {rx_clk_55}] -group [get_clocks {clk_110}]
set_clock_groups -exclusive -group [get_clocks {rx_clk_110}] -group [get_clocks {sck}]
set_clock_groups -exclusive -group [get_clocks {rx_clk_55}] -group [get_clocks {sck}]
set_clock_groups -exclusive -group [get_clocks {data_latch}] -group [get_clocks {sck}]

set_clock_groups -exclusive -group [get_clocks {cnvclk}] -group [get_clocks {data_latch}]
set_clock_groups -exclusive -group [get_clocks {rx_clk_110}] -group [get_clocks {data_latch}]
set_clock_groups -exclusive -group [get_clocks {rx_clk_55}] -group [get_clocks {data_latch}]

#**************************************************************
# Set False Path
#**************************************************************

#**************************************************************
# Set Multicycle Path
#**************************************************************
set_multicycle_path -from [get_clocks {sck}] -fall_to [get_clocks {sck}] -setup -end 0

#**************************************************************
# Set Maximum Delay
#**************************************************************

#**************************************************************
# Set Minimum Delay
#**************************************************************

#**************************************************************
# Set Input Transition
#**************************************************************

